# Uses of Interface
org.astrogrid.samp.client.HubConnection

Packages that use HubConnection
Package
Description
org.astrogrid.samp.client
Classes required only for SAMP clients.
org.astrogrid.samp.gui
Classes required only for graphical components based on SAMP classes.
org.astrogrid.samp.hub
Classes required only for running a SAMP hub.
org.astrogrid.samp.test
Classes for testing.
org.astrogrid.samp.web
Classes relating to the SAMP Web Profile.
org.astrogrid.samp.xmlrpc
Classes relating to Standard Profile and XML-RPC pluggable implementation layer.

## Uses of HubConnection in org.astrogrid.samp.client

Methods in org.astrogrid.samp.client that return HubConnection
Modifier and Type
Method
Description
`protected HubConnection`
HubConnector.`createConnection()`
Invoked by this class to create a hub connection.
`HubConnection`
HubConnector.`getConnection()`
If necessary attempts to acquire, and returns, a connection to a running hub.
`HubConnection`
ClientProfile.`register()`
Attempts to register with a SAMP hub and return a corresponding connection object.
Methods in org.astrogrid.samp.client with parameters of type HubConnection
Modifier and Type
Method
Description
`void`
HubConnector.`configureConnection(HubConnection connection)`
Configures a connection with a hub in accordance with the state of this object.
`abstract Map`
AbstractMessageHandler.`processCall(HubConnection connection, String senderId, Message message)`
Implements message processing.
`void`
AbstractMessageHandler.`receiveCall(HubConnection connection, String senderId, String msgId, Message message)`
Calls `AbstractMessageHandler.processCall(org.astrogrid.samp.client.HubConnection, java.lang.String, org.astrogrid.samp.Message)`, generates a response from the result using `AbstractMessageHandler.createResponse(java.util.Map)`, and sends the resulting response as a reply to the hub.
`void`
MessageHandler.`receiveCall(HubConnection connection, String senderId, String msgId, Message message)`
Processes a message which does require a response.
`void`
AbstractMessageHandler.`receiveNotification(HubConnection connection, String senderId, Message message)`
Calls `AbstractMessageHandler.processCall(org.astrogrid.samp.client.HubConnection, java.lang.String, org.astrogrid.samp.Message)` and discards the result.
`void`
MessageHandler.`receiveNotification(HubConnection connection, String senderId, Message message)`
Processes a message which does not require a response.
`void`
ResponseHandler.`receiveResponse(HubConnection connection, String responderId, String msgTag, Response response)`
Processes a response to an earlier message.

## Uses of HubConnection in org.astrogrid.samp.gui

Methods in org.astrogrid.samp.gui that return HubConnection
Modifier and Type
Method
Description
`protected HubConnection`
MessageTrackerHubConnector.`createConnection()`
Methods in org.astrogrid.samp.gui with parameters of type HubConnection
Modifier and Type
Method
Description
`protected ResultHandler`
AbstractCallActionManager.`createResultHandler(HubConnection connection, Message msg, Client[] recipients)`
Returns an object which will be informed of the results of a single- or multiple-recipient send as they arrive.
`protected void`
NotifyActionManager.`messageSent(HubConnection connection, Message msg, Client[] recipients)`
Called when a message has been sent by this object.

## Uses of HubConnection in org.astrogrid.samp.hub

Methods in org.astrogrid.samp.hub that return HubConnection
Modifier and Type
Method
Description
`protected HubConnection`
BasicHubService.`createConnection(HubClient caller)`
Returns a new HubConnection for use by a given hub client.
`HubConnection`
BasicHubService.`getServiceConnection()`
Returns the HubConnection object used by the hub itself to send and receive messages.
`HubConnection`
BasicHubService.`register(ProfileToken ptoken)`
`HubConnection`
FacadeHubService.`register(ProfileToken profileToken)`
`HubConnection`
HubService.`register(ProfileToken profileToken)`
Creates a new connection to this hub service, thereby initiating a new registered client.

## Uses of HubConnection in org.astrogrid.samp.test

Methods in org.astrogrid.samp.test that return HubConnection
Modifier and Type
Method
Description
`HubConnection`
Calculator.`getConnection()`
Returns the hub connection used by this client.
Constructors in org.astrogrid.samp.test with parameters of type HubConnection
Modifier
Constructor
Description
``
`Calculator(HubConnection connection, Random random)`
Constructor.

## Uses of HubConnection in org.astrogrid.samp.web

Methods in org.astrogrid.samp.web that return HubConnection
Modifier and Type
Method
Description
`HubConnection`
WebClientProfile.`register()`

## Uses of HubConnection in org.astrogrid.samp.xmlrpc

Classes in org.astrogrid.samp.xmlrpc that implement HubConnection
Modifier and Type
Class
Description
`class`
`XmlRpcHubConnection`
Partial HubConnection implementation based on XML-RPC.
Methods in org.astrogrid.samp.xmlrpc that return HubConnection
Modifier and Type
Method
Description
`HubConnection`
StandardClientProfile.`register()`